Subject: bug#998: after split-window-horizontally scroll works only on first window

From: Davide Viti <[email-masked]>
Date: Fri, 19 Sep 2008 09:35:45 +0200

On Fri, Sep 19, 2008 at 09:01:21AM +0200, martin rudalics wrote:
> > <vertical-scroll-bar> <mouse-1> (translated from <mouse-1>) at that spot 
> runs the command scroll-bar-toolkit-scroll
> >   which is an interactive compiled Lisp function in `scroll-bar.el'.
> 
> OK.  Could you now please append the following modified version of
> `scroll-bar-toolkit-scroll' to your .emacs, restart Emacs, split the
> window horizontally, move the mouse into each of these windows, scroll
> the mouse and tell me whether the windows mentioned in the messages you
> should see (here I get for example .... #<window 3 on .emacs>) have the
> same or different values.

still not working and I get the very same message as yours (.... #<window 3 on .emacs>)
when scrolling the wheel on any of the two windows

regards,
Davide

PS: last night I gave it a go on my Ubuntu machine and it worked; C-h-k gave me this:

<mouse-5> (translated from <down-mouse-5> <mouse-5>) at that spot runs the command mwheel-scroll
  which is an interactive compiled Lisp function in `mwheel.el'.
It is bound to <C-mouse-4>, <S-mouse-4>, <mouse-4>, <C-mouse-5>, <S-mouse-5>, <mouse-5>.
(mwheel-scroll event)

Scroll up or down according to the event.
This should only be bound to mouse buttons 4 and 5.